Preview
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"mode": "explicit",
"slotIds": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/preview"
payload = { "scope": {
"mode": "explicit",
"slotIds": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scope: {mode: 'explicit', slotIds: ['<string>']}})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"targets": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 123,
"name": "<string>",
"referenceNumber": "<string>"
}
],
"fields": [
{
"fieldKey": "<string>",
"label": "<string>",
"type": {},
"options": [
{}
],
"nullable": true,
"valueFormat": "attribute",
"eligibility": "unavailable",
"reason": "<string>",
"requiresCoreChangeIntent": true,
"values": [
{
"value": "<string>",
"slotId": "<string>"
}
],
"precision": 123,
"scale": 123
}
],
"selectedCount": 123
}Specification Bulk Edit
Preview
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
bulk-edit
/
preview
Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I